From 41909e69d45789ce259f65d7de709cfc7c55273a Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 20 2020 07:55:15 +0000
Subject: [PATCH 308/2232] Consistently use C++ reference for receiver arguments


---

diff --git a/gen/write.rs b/gen/write.rs
index 9ab6e38..f7c4a19 100644
--- a/gen/write.rs
+++ b/gen/write.rs
@@ -374,7 +374,7 @@ fn write_cxx_function_shim(out: &mut OutFile, efn: &ExternFn, types: &Types) {
         if receiver.mutability.is_none() {
             write!(out, "const ");
         }
-        write!(out, "{} *self", receiver.ident);
+        write!(out, "{} &self", receiver.ident);
     }
     for (i, arg) in efn.args.iter().enumerate() {
         if i > 0 || efn.receiver.is_some() {
@@ -442,7 +442,7 @@ fn write_cxx_function_shim(out: &mut OutFile, efn: &ExternFn, types: &Types) {
     }
     match &efn.receiver {
         None => write!(out, "{}$(", efn.ident),
-        Some(_) => write!(out, "(self->*{}$)(", efn.ident),
+        Some(_) => write!(out, "(self.*{}$)(", efn.ident),
     }
     for (i, arg) in efn.args.iter().enumerate() {
         if i > 0 {

